<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.reptileclient.jlifeapp.dao.region.EtlLogMapper">
   <!--  <select id="selectTypeCount" parameterType="java.lang.String"  resultType="java.lang.Integer">
        SELECT
			count( * ) 
		FROM
			jlife_reports.etl_log 
		WHERE
		`comment` = #{comment}
		and  DATE_FORMAT(create_time, '%Y-%m-%d')=DATE_FORMAT(CURRENT_DATE, '%Y-%m-%d')
    </select> -->
    
     <select id="selectTypeCount" parameterType="java.lang.String"  resultType="java.lang.Integer">
        SELECT
			count( * ) 
		FROM
			jlife_reports.etl_log 
		WHERE
		`comment` LIKE CONCAT(#{comment},'%')
		and  DATE_FORMAT(create_time, '%Y-%m-%d')=DATE_FORMAT(CURRENT_DATE, '%Y-%m-%d')
    </select>

   
</mapper>
